/// <reference path="jquery-1.10.2.min.js" />
var ids = 1;
var i = 0;
var timer;

function zan_ok() {
    var datasid = $.trim($("#datasid").val());
    $.post("/ajax/SoftBase.ashx", { "type": "DianZan", "datasid": datasid, "ids": ids }, function (data) {
        var data = eval('(' + data + ')');
        if (data.Success == true) {
            alert("点赞成功");
            location.reload();
        } else {
            if (data.Success == false) {
                alert("不能重复点赞哟^_^，请贵人明天再来吧！！！");
            }else{
            alert("点赞失败");

    }
        }
    })

}


function ruo_no() {
    var datasid = $.trim($("#datasid").val());
    $.post("/ajax/SoftBase.ashx", { "type": "Cai", "datasid": datasid, "ids": ids }, function (data) {
        var data = eval('(' + data + ')');
        if (data.Success == true) {
            alert("点踩成功");
            location.reload();
        } else {
            if (data.Success == false) {
                alert("啊！别再踩了，饶了我吧，等下把我踩坏了可不得了了！！！");
            } else {
                alert("点踩失败")
            }

        }



    })


}

function dows_ok() {
    var datasid = $.trim($("#datasid").val());
    $.post("/ajax/SoftBase.ashx", { "type": "DowsTj", "datasid": datasid, "ids": ids }, function (data) {
    })
}


$(function () {

    $(".rank-toggle .rank-item").on("mouseover", function () {
        $(this).siblings(".rank-item").removeClass("on");
        $(this).addClass("on");
    })
    $(".soft_side_toggle ").on("mouseover", function () {
        $(this).siblings(".soft_side_toggle ").removeClass("on");
        $(this).addClass("on");
    })

})

setInterval(function () {
    $('.scroll_list li:last').css({ 'height': '0px', 'opacity': '0' }).insertBefore('.scroll_list li:first').animate({ 'height': '100px', 'opacity': '0' }, 'slow', function () {
        $(this).removeAttr('style');
    });
}, 3000);


function onTopClock() {
    window.location.hash = "#dows";
    window.location.hash = "#tese";
    window.location.hash = "#pinlun";
}



$(function () {
   
    $('.J_news_list_tab .item').click(function () {
       
        $(this).addClass("cur").siblings().removeClass("cur");
       
        var index = $(this).index();

        $(".news_ajax_block:eq(" + index + ")").show().siblings("div").hide();
      

    })
})



$(function () {
    $(".J_slide_inner .item").eq(0).show().siblings().hide();
    $(".J_slide_tmb").eq(0).addClass("on").siblings().removeClass("on")
    showtmbtab()
    $(".J_slide_tmb").hover(function () {
        clearInterval(timer);
        i = $(this).index();
        showpictab()

    }, function () {
        showtmbtab()
    });
    $(".btn-prev").click(function () {
        clearInterval(timer);
        i--;
        if (i == -1) {
            i = 9;

        }
        showpictab()
        showtmbtab()
    })
    $(".btn-next").click(function () {
        clearInterval(timer);
        i++;
        if (i == 10) {
            i = 0;

        }
        showpictab()
        showtmbtab()
    })
})

function showpictab()
{
    $(".J_slide_inner .item").eq(i).show().siblings().hide();
    $(".J_slide_tmb").eq(i).addClass("on").siblings().removeClass("on")

}
function showtmbtab() {
    timer = setInterval(function () {
        i++;
        if (i == 10) {
            i = 0;

        }
        showpictab()
    }, 3000);

}

$(function () {

    $('.J_tab .tab-item').on("mouseover", function () {

        $(this).addClass("cur").siblings().removeClass("cur");

        var index = $(this).index();

        $(".tab-cont-item:eq(" + index + ")").show().siblings("div").hide();


    })
})


$(function () {

    $('.z_tab .tab-item').on("mouseover", function () {

        $(this).addClass("cur").siblings().removeClass("cur");

        var index = $(this).index();

        $(".tab-cont-itemz:eq(" + index + ")").show().siblings("div").hide();


    })
})



$(function () {
    $(".J_selectSearch").on("click", function () {
        $(".J_selectToggle").show();
    })
    $('html,body').click(function (e) {
        var $tar = $(e.target);
        if (!$tar.is(".J_selectSearch")) {
            $(".J_selectToggle").hide();
        }
    });
    $(".J_cate_item").on("click", function () {
        $(".J_selectSearch").html($(this).text());
        $(".J_selectSearch").attr('rel', $(this).attr('rel'));
    })

    //$("#search").click(function () {
    //    baiduSerach();
    //})
    //document.onkeydown = function (event) {
    //    var e = event || window.event || arguments.callee.caller.arguments[0];
    //    if (e && e.keyCode == 13) { // 回车键
    //        baiduSerach();
    //    }
    //}






})